libnotify (0.7.12-1) unstable; urgency=medium

  * New upstream release:
    - Fix crash when activating action with electron apps
  * debian/patches:
    - Drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 May 2022 19:55:36 +0200

libnotify (0.7.11-2) unstable; urgency=medium

  * debian/tests: Use python-dbusmock to run notification tests.
    Avoid installing notification-daemon, while we can handle all this
    without X11 and using dbus-mock to simulate a notification daemon.
  * debian/patches: Expose sender-pid by default when not set
  * debian/tests/build: Ensure that notification worked.
  * debian/control: Only suggest any implementer of FDO notification daemon.
    While the library would work better when a daemon implements the API,
    we can just be more flexible and we can just downgrade to suggests while
    notification-daemon can be now implemented by multiple packages.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 16:54:44 +0200

libnotify (0.7.11-1) unstable; urgency=medium

  * New upstream release:
    - notify-send: Support for replacing an existing notification (LP: #257135,
      Closes: #559544)
    - notify-send: Support commas in icon filenames (LP: #674642)
    - notify-send: Give failing exit code if showing notification fails
      (LP: #1970647, Closes: #609556, Closes: #679653)
    - notify-send: Add support for notification actions and responses
      (Closes: #571181)
    - notify-send: Add option to wait until notification has been closed
    - notify-send: Add support for boolean hints (Closes: #636343)
    - docs/notify-send: Add missing --app-name to manpage (Closes: #756151)
  * debian/rules: Use DPKG_GENSYMBOLS_CHECK_LEVEL instead of override
  * debian: Use debhelper 13, and remove explicit --fail-missing
  * debian/control: Update Standards-Version, no change needed
  * debian/libnotify4.symbols: Add new symbols
  * debian/patches: Add transient option to man

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Apr 2022 21:47:25 +0200

libnotify (0.7.9-3) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Drop libpopt-dev from Build-Depends, unused since 0.4.0
    (Closes: #981263)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:47:57 +0000

libnotify (0.7.9-2) unstable; urgency=medium

  * Team upload

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #946443)

  [ Simon McVittie ]
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/tests/build: Silence shellcheck warnings
  * Silence Lintian warning for gtk-doc documentation (see #970275)
  * d/upstream/metadata: Add.
  * Standards-Version: 4.5.1 (no changes required)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 16:27:35 +0000

libnotify (0.7.9-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop empty series file
  * debian/gbp.conf: Add default settings for gnome team
  * debian/control:
    - Build-depend on docbook-xsl-ns to generate manpage
    - Build-depend on xmlto to generate spec files
    - Mention that libnotify4-doc includes specs
  * debian/notify-send.1: Drop as now upstream includes one
  * debian/libnotify-bin.manpages: install the manpage built from source
  * debian/libnotify-doc.install: Install notification specs in docs
  * debian/rules: Remove autoreconf option, as we compile now with meson

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 20:32:28 +0100

libnotify (0.7.8-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in, debian/compat
    - update to debhelper12
  * debian/control.in:
    - Build-Depends on meson
    - updated Standards-Version
  * debian/libnotify-dev.install:
    - don't install the .a it's not built with meson
  * debian/rules:
    - build without autoreconf, it's not needed with meson and it's failing
      in the new version which leads to the package not building
    - remove dh_install .la override, not needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 12:37:56 +0200

libnotify (0.7.7-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:27:54 -0500

libnotify (0.7.7-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 18:45:34 -0500

libnotify (0.7.7-2) unstable; urgency=medium

  * Enable the gir dh addon so the gir package gets the proper dependencies.
    (Closes: #860468)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Apr 2017 01:26:32 +0200

libnotify (0.7.7-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add missing xauth dependency for autopkgtest. (Closes: #757713)

  [ Sebastien Bacher ]
  * debian/notify-end.1: "Makes clear that -t/--expire-time is ignored
    by Notify OSD and GNOME Shell", thanks Matthew Paul Thomas (LP: #533631)

  [ Michael Biebl ]
  * New upstream release.
  * Fix typo in notify-send man page. (Closes: #657999)
  * Use dbus-run-session to run tests. (Closes: #836028)
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Install gir files into multiarch paths.
  * Mark gir1.2-notify-0.7 and libnotify-dev as Multi-Arch: same and
    libnotify-doc as Multi-Arch: foreign.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2016 02:23:40 +0200

libnotify (0.7.6-2) unstable; urgency=medium

  * Add missing build-essential test dependency.
  * Bump Standards-Version to 3.9.5. No changes necessary.
  * Use dh-autoreconf to update libtool.m4 for new ports. Thanks Colin Watson!
    (Closes: #732303)

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Feb 2014 15:53:05 -0800

libnotify (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Use canonical Vcs-* URLs.
  * Drop explicit Build-Depends on gir1.2-glib-2.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Sep 2013 02:31:39 +0200

libnotify (0.7.5-2) unstable; urgency=low

  * Add compile/link/run autopkgtest. Thanks to Vibhav Pant
    <vibhavp@ubuntu.com> for this!

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Feb 2013 09:25:13 +0100

libnotify (0.7.5-1) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-notify-0.7 to introspection.
  * debian/watch: Track .xz tarballs.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/99_ltmain_as-needed.patch: Removed, no longer necessary.
  * debian/rules: Remove clean-la.mk since we don't install any libtool .la
    files anymore.
  * Drop Depends on libdbus-glib-1-dev from libnotify-dev.
  * Add explicit Build-Depends on libgdk-pixbuf2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 22:24:42 +0200

libnotify (0.7.4-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Follow multi-arch specification
  * debian/control.in:
    - Bump cdbs and debhelper build-dependencies
    - Add Multi-Arch and Pre-Depends fields
  * debian/rules:
    - Pass multi-arch compatible path to libdir
  * debian/*.install:
    - Adjust for multi-arch paths
    - Drop "debian/tmp" from paths
  * debian/libnotify-dev.install:
    - Drop .la file, no other package is referencing it anymore

  [ Martin Pitt ]
  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Sep 2011 11:37:34 +0200

libnotify (0.7.3-2) unstable; urgency=low

  * debian/control.in:
    - Remove duplicates Section to please lintian
    - Fix duplicate Description to please lintian
  * debian/rules: Drop include of check-dist.mk
  * debian/watch:
    - Switch to .bz2 tarballs.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Jul 2011 00:15:19 +0200

libnotify (0.7.3-1) experimental; urgency=low

  * New upstream release.
  * debian/libnotify4.symbols: Add new symbol from 0.7.3.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 May 2011 17:14:37 +0200

libnotify (0.7.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Martin Pitt ]
  * New upstream release.
  * debian/libnotify4.symbols: Add new symbol from 0.7.2.
  * debian/control.in: Add missing Vcs-* headers.
  * debian/copyright: Update for current FSF address, thanks lintian.
  * debian/control.in: Bump Standards-Version to 3.9.2, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 May 2011 10:15:26 +0200

libnotify (0.7.1-2) experimental; urgency=low

  * debian/control.in:
    + Update the gtk+ 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 07 Mar 2011 19:09:59 +0000

libnotify (0.7.1-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/01_upstream_fix_license_header.patch,
      debian/patches/02_upstream_ref_pixbuf.patch,
      debian/patches/03_libtool_dont_export_private_symbols.patch:
      - Removed, included upstream.
    + debian/patches/90_autoreconf.patch:
      - Removed, no longer needed.
    + debian/control.in,
      debian/gir1.2-notify-0.7.install,
      debian/libnotify-dev.install:
      - Add a gir1.2-notify-0.7 package.
    + debian/rules:
      - Make the shlibs file always depend on the latest version.
        Manually bumping the version when there are API changes is
        error-prone and we have a symbols file anyway.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jan 2011 16:08:25 +0000

libnotify (0.7.0-3) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 3.9.1 (no further changes)

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_libtool_dont_export_private_symbols.patch:
    - Use libtool's -export-symbols-regex to not export private
      symbols.
    debian/patches/90_autoreconf.patch:
    - Run autoreconf on top of the above patch.
  * debian/rules,
    debian/libnotify4.symbols:
    - Add a symbols file for libnotify.so.4.
  * debian/control:
    - Remove libnotify-dev dependency on libgtk2.0-dev. Thanks Laurent
      Bigonville.
    - Let libnotify-dev depend on libgdk-pixbuf2.0-dev and bump the
      libglib2.0-dev requirement to >= 2.26.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 01 Dec 2010 23:07:56 +0100

libnotify (0.7.0-2) experimental; urgency=low

  * debian/patches/02_upstream_ref_pixbuf.patch:
    + Patch from upstream GIT, take a reference on the pixbuf to avoid
      crashes on clients.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Nov 2010 14:41:42 +0100

libnotify (0.7.0-1) experimental; urgency=low

  * New upstream release. Closes: #603635.
  * debian/watch,
    debian/copyright:
    + Updated for the new location.
  * debian/control:
    + Update build dependencies.
  * debian/control,
    debian/rules,
    debian/libnotify[14].install:
    + Rename the library package for the new SONAME.
  * debian/copyright:
    + Updated.
  * debian/patches/01_notify-get-server-info-out-parameter-NULL.patch:
    + Removed, not needed anymore.
  * debian/control.in,
    debian/rules:
    + Add GNOME magic for Uploaders generation.
    + Include check-dist.mk to prevent accidental uploads to unstable.
  * debian/patches/01_upstream_fix_license_header.patch:
    + Backport patch from upstream git to fix a license header which
      was mistakenly GPL.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 20 Nov 2010 12:44:59 +0100

libnotify (0.5.0-2) unstable; urgency=low

  * debian/patches/01_notify-get-server-info-out-parameter-NULL.patch:
    + Check that the correct variable is not NULL before dereferencing
      it in notify_get_server_info(). Thanks to Jonny Lamb for the
      patch (Closes: #536288).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jun 2010 08:39:16 +0200

libnotify (0.5.0-1) unstable; urgency=low

  * New upstream release:
    + debian/rules,
      debian/compat,
      debian/control.in,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control:
      - Update build dependencies.
    + debian/rules:
      - Update shlibs version to 0.5.0 because of new API.
    + debian/patches/01_hurd-path-max.patch:
      - Dropped, fixed upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jun 2010 07:27:38 +0200

libnotify (0.4.5-1) unstable; urgency=low

  [ Loic Minier ]
  * Include clean-la.mk; build-dep on gnome-pkg-tools >= 0.7.

  [ Sebastian Dröge ]
  * debian/control:
    + Add myself to uploaders.
    + Update Standards-Version to 3.8.0.
    + Use ${binary:Version} instead of ${Source-Version} to make the
      package binNMU save.
  * New upstream release (Closes: #510931):
    + Fixes include of non-toplevel header of GTK (Closes: #508329).
    + debian/rules:
      - Update shlibs to >= 0.4.5 for new API.
    + debian/control:
      - Build-depend on dbus-glib >= 0.76.
  * debian/patches/01_hurd-path-max.patch:
    + Fix FTBFS on hurd-i386, thanks to Michael Banck for the patch.
      (Closes: #483157).
  * debian/patches/99_ltmain_as-needed.patch:
    + Remove some unneeded dependencies from the library by using
      --as-needed for linking.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Mar 2009 08:11:37 +0100

libnotify (0.4.4-3) unstable; urgency=low

  * Drop GNOME team from uploaders and uploaders.mk include; add myself to
    uploaders.
  * Merge never uploaded 0.4.3-3 changelog entry into 0.4.4-1.
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-dep on
    cdbs >= 0.4.41.
  * Add ${misc:Depends}.
  * Wrap build-deps and deps.
  * Prepend -z defs to LDFLAGS to be safe with --as-needed.

 -- Loic Minier <lool@dooz.org>  Mon, 16 Apr 2007 10:15:43 +0200

libnotify (0.4.4-2) experimental; urgency=low

  * Built against libgtk2.0-0 > 2.10.

 -- Riccardo Setti <giskard@debian.org>  Sat, 24 Mar 2007 15:31:52 +0100

libnotify (0.4.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix the 0.4.2-2 changelog entry to reflect the real 0.4.2-2 upload to
    experimental and its changes; move the changes which were listed in this
    changelog entry to 0.4.3-1 where these happened.

  [ Riccardo Setti ]
  * New upstream release.

 -- Riccardo Setti <giskard@debian.org>  Sat, 24 Mar 2007 15:30:06 +0100

libnotify (0.4.3-2) experimental; urgency=low

  [ Riccardo Setti ]
  * Build against libgtk2.0-dev >= 2.10; let libnotify-dev provide
    libnotify-dev-gtk2.10 for the Gtk 2.10 specific API; let libnotify1
    provide libnotify1-gtk2.10 for the Gtk 2.10 specific ABI; set libnotify1's
    shlibs to "libnotify1 (>= 0.4.3), libnotify1-gtk2.10".

  [ Loic Minier ]
  * Fix the above changelog entry.
  * Merge 0.4.3-1.

 -- Loic Minier <lool@dooz.org>  Thu, 30 Nov 2006 22:01:28 +0100

libnotify (0.4.3-1) unstable; urgency=low

  [ Riccardo Setti ]
  * New upstream release

  [ Loic Minier ]
  * Bump up libgtk2.0-dev and libglib2.0-dev build-deps to >= 2.6; bump up the
    dependency of libnotify-dev on libgtk2.0-dev as well; add a libglib2.0-dev
    dependency to libnotify-dev.

  [ Marco Cabizza ]
  * libnotify-dev depends on libgtk2.0-dev, thanks to Christophe Mutricy
    (Closes: #388521)

 -- Loic Minier <lool@dooz.org>  Thu, 30 Nov 2006 21:54:53 +0100

libnotify (0.4.2-2) experimental; urgency=low

  * Built it against libgtk2.0-dev  (>= 2.10)
  * Uploaded to experimental

 -- Riccardo Setti <giskard@debian.org>  Wed, 13 Sep 2006 21:24:59 +0200

libnotify (0.4.2-1) unstable; urgency=low

  * New Upstream release. (closes: #375182)
  * Improved notify-send manpage. (closes: #379175)
  * Added libnotify-doc package.

 -- Gustavo Franco <stratus@debian.org>  Fri, 25 Aug 2006 15:40:39 -0300

libnotify (0.4.0-2) UNRELEASED; urgency=low

  * Re-add empty patch system.

 -- Loic Minier <lool@dooz.org>  Sun, 21 May 2006 12:42:59 +0200

libnotify (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/notify-send_ppc.patch: removed
    (bug fixed by upstream)
  * debian/rules: simple-patchsys include removed,
    there are no patches left.
  * debian/control:
    + Bump up Standards Version to 3.7.2
    + Fix lintian warning replacing > by >=
      - obsolete-relation-form depends: libdbus-glib-1-dev (> 0.35)

 -- Gustavo Franco <stratus@debian.org>  Tue, 16 May 2006 10:33:01 -0300

libnotify (0.3.2-4) unstable; urgency=low

  * Apply patch from Heikki Henriksen (heikkih):
     + rebuild without references to libXcursor.la & libXrender.la
       (Closes: #363966)
     + debian/control[.in]: Add dep on libdbus-glib-1-dev for libnotify-dev
       (Closes: #359316, #359710)
     + debian/watch: Added

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 21 Apr 2006 14:14:17 +0200

libnotify (0.3.2-3) unstable; urgency=low

  * Improved notify-send.1 manpage. (closes: #353681)
  - thanks goes to Paul van Tilburg <paulvt@debian.org> for providing
  a patch.
  - -t switch specifies the timeout in millisecond and not in
  second. (closes: #353683)

 -- Riccardo Setti <giskard@autistici.org>  Tue, 21 Feb 2006 21:06:55 +0100

libnotify (0.3.2-2) unstable; urgency=low

  * Added notify-send_ppc.patch which fix a bug in notify-send (libnotify-bin) on
  ppc. Thank to to Sjoerd Simons who provides a patch. (closes: #352514)

 -- Riccardo Setti <giskard@autistici.org>  Sat, 18 Feb 2006 19:34:05 +0100

libnotify (0.3.2-1) unstable; urgency=low

  Riccardo Setti (giskard):
  * New upstream (closes: #343437)
  * notifynotification.h doesn't exist anymore and config.h is
    defined in an if condition (closes: #348799)
  * removed eary_init.diff patch because the problem was corrected by upstream
    in the new tarball.

  Gustavo Noronha (kov):
  * Renamed library package to libnotify1 to match soname change

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 29 Jan 2006 09:08:10 -0200

libnotify (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/early_init.diff:
  - patch grabbed from Ubuntu's package:
    "- call dbus_g_bus_get() on init to initialize the dbus<->glib type
       system and fix a crash on certain use"
  * debian/control.in:
  - updated build-depends: libgtk2.0-dev >= 2.2.2, and
    libdbus-glib-1-dev >= 0.35

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 13 Jan 2006 00:10:33 -0200

libnotify (0.2.2-1) experimental; urgency=low

  * First upload to Debian

  Andre Filipe de Assuncao e Brito:
  * New upstream release Closes: #335590
  * debian/copyright:
    - Updated URL Project to:
      http://www.galago-project.org/files/releases/source/
  * Remove debian/patches/01_malloc_int_overflow.patch:
    - Applied Upstream
  * Added notify-send manpage.

  Gustavo Noronha Silva:
  * debian/control.in, debian/rules:
  - correctly Build-Deps for cdbs, debhelper, and GNOME Team
    Upload stuff
  * debian/copyright:
  - added missing information about notify-send being GPL'ed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 13 Nov 2005 20:47:46 -0200

libnotify (0.2.1-0ubuntu4) breezy; urgency=low

  * debian/patches/01_malloc_int_overflow.patch: Fix copy&paste bug in the
    second hunk, we allocate a char* array (not a size_t array) there.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Aug 2005 13:41:26 +0200

libnotify (0.2.1-0ubuntu3) breezy; urgency=low

  * debian/control: Recommend notification-daemon and point out the
    requirement to install it in the long description.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Aug 2005 10:53:26 +0200

libnotify (0.2.1-0ubuntu2) breezy; urgency=low

  * Add debian/patches/01_malloc_int_overflow.patch:
    - Check for integer overflow in icon frame allocation, just to be
      cautious.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  9 Aug 2005 19:57:27 +0200

libnotify (0.2.1-0ubuntu1) breezy; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 28 Jul 2005 20:45:16 +0200

libnotify (0.2.0-0ubuntu1) breezy; urgency=low

  * Initial package.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 28 Jul 2005 15:26:46 +0200
